complexType "ExchangeTradedCalculatedPrice"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 10 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-asset-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | instrumentId+, description?, currency?, exchangeId?, clearanceSystem?, definition?, relatedExchangeId*, optionsExchangeId*, specifiedExchangeId*, constituentExchangeId*
</...>

Content Model Elements (10):

  clearanceSystem (defined in UnderlyingAsset complexType), constituentExchangeId, currency (defined in UnderlyingAsset complexType), definition (defined in UnderlyingAsset complexType), description (defined in IdentifiedAsset complexType), | exchangeId (defined in UnderlyingAsset complexType), instrumentId (defined in IdentifiedAsset complexType), optionsExchangeId, relatedExchangeId, specifiedExchangeId

Known Direct Subtypes (2):

  ExchangeTradedFund, Index

All Direct / Indirect Based Elements (2):

  exchangeTradedFund, index

Known Usage Locations

- In derivations of other global types (2):

  ExchangeTradedFund (as extension base), | Index (as extension base)

Annotation
Abstract base class for all exchange traded financial products with a price which is calculated from exchange traded constituents.
Type Definition Detail

Type Derivation Tree Asset (extension) IdentifiedAsset (extension) UnderlyingAsset (extension) ExchangeTraded (extension) ExchangeTradedCalculatedPrice

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType abstract="true" name="ExchangeTradedCalculatedPrice"> <xsd:complexContent> <xsd:extension base="ExchangeTraded"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="constituentExchangeId" type="ExchangeId"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/10)
constituentExchangeId

  Type: | ExchangeId, simple content

  Identification of all the exchanges where constituents are traded. The term "Exchange" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="constituentExchangeId" type="ExchangeId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.